summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author ponce2010-12-09 06:20:10 +0100
committer Robby Workman2010-12-09 15:45:28 +0100
commit8cb50d13eaa0a31273698f99bd5f668cb75edd66 (patch)
tree6ffd1a8088d0954ccd8efdf521b58a0ec139ffba /network
parentd9786ad891acf90b622aeeee4fd9205ecbaed9c9 (diff)
downloadslackbuilds-8cb50d13eaa0a31273698f99bd5f668cb75edd66.tar.gz
network/nxclient: (client for the NX protocol)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/nxclient/README4
-rw-r--r--network/nxclient/doinst.sh4
-rw-r--r--network/nxclient/nxclient.SlackBuild55
-rw-r--r--network/nxclient/nxclient.desktop8
-rw-r--r--network/nxclient/nxclient.info10
-rw-r--r--network/nxclient/slack-desc19
6 files changed, 100 insertions, 0 deletions
diff --git a/network/nxclient/README b/network/nxclient/README
new file mode 100644
index 0000000000..e7df195daa
--- /dev/null
+++ b/network/nxclient/README
@@ -0,0 +1,4 @@
+nxclient (client for the NX protocol)
+
+This is a repackaging of the official nomachine's
+binary client for the NX protocol.
diff --git a/network/nxclient/doinst.sh b/network/nxclient/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/network/nxclient/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/network/nxclient/nxclient.SlackBuild b/network/nxclient/nxclient.SlackBuild
new file mode 100644
index 0000000000..47422218be
--- /dev/null
+++ b/network/nxclient/nxclient.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for nxclient
+
+# Written by ponce <matteo.bernardini@sns.it>
+
+PRGNAM=nxclient
+VERSION=${VERSION:-3.4.0_7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+LVERSION=$(printf $VERSION|tr _ -)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG $OUTPUT
+cd $PKG
+mkdir -p $PKG/usr/bin
+tar xvf $CWD/$PRGNAM-$LVERSION.$ARCH.tar.gz -C $PKG/usr
+chown -R root:root $PKG
+find $PKG \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd $PKG/usr/bin
+ln -s /usr/NX/bin/$PRGNAM $PRGNAM
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/nxclient/nxclient.desktop b/network/nxclient/nxclient.desktop
new file mode 100644
index 0000000000..73d04d09a4
--- /dev/null
+++ b/network/nxclient/nxclient.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=NX Client
+Type=Application
+Exec=nxclient
+Icon=/usr/NX/share/icons/48x48/nxclient-icon.png
+Comment=A client for the NX protocol
+Terminal=false
+Categories=Network;
diff --git a/network/nxclient/nxclient.info b/network/nxclient/nxclient.info
new file mode 100644
index 0000000000..f7c7897cd0
--- /dev/null
+++ b/network/nxclient/nxclient.info
@@ -0,0 +1,10 @@
+PRGNAM="nxclient"
+VERSION="3.4.0_7"
+HOMEPAGE="http://www.nomachine.com/"
+DOWNLOAD="http://64.34.161.181/download/3.4.0/Linux/nxclient-3.4.0-7.i386.tar.gz"
+MD5SUM="ae66f7da3106a8b44c72466566ce6140"
+DOWNLOAD_x86_64="http://64.34.161.181/download/3.4.0/Linux/nxclient-3.4.0-7.x86_64.tar.gz"
+MD5SUM_x86_64="bfb444b44d81b7b9b2815669b6b3c391"
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@sns.it"
+APPROVED="rworkman"
diff --git a/network/nxclient/slack-desc b/network/nxclient/slack-desc
new file mode 100644
index 0000000000..1713c37569
--- /dev/null
+++ b/network/nxclient/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nxclient: nxclient (client for the NX protocol)
+nxclient:
+nxclient: This is a repackaging of the official nomachine's binary client for
+nxclient: the NX protocol.
+nxclient:
+nxclient: nxclient homepage: http://www.nomachine.com/download-client-linux.php
+nxclient:
+nxclient:
+nxclient:
+nxclient:
+nxclient: